Debian Bug report logs - #562664
/usr/share/live-helper/lists/debian-live refers to aufs packages missing from sid and squeeze

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Tony Houghton <h@realh.co.uk>

Date: Sat, 26 Dec 2009 19:39:01 UTC

Severity: minor

Found in version live-helper/2.0~a3-1

Fixed in version live-helper/2.0~a4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562664; Package live-helper. (Sat, 26 Dec 2009 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 26 Dec 2009 19:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/live-helper/lists/debian-live refers to aufs packages missing from sid and squeeze
Date: Sat, 26 Dec 2009 19:37:18 +0000
Package: live-helper
Version: 2.0~a3-1
Severity: normal


/usr/share/live-helper/lists/debian-live contains:

#if DISTRIBUTION lenny squeeze sid
aufs-tools aufs-source
#endif

but these packages don't exist in squeeze or sid.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.20     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                    3.0.7-1    utilities for making and checking 
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.10-1 Creates ISO-9660 CD-ROM filesystem
ii  grub-legacy [grub]            0.97-59    GRand Unified Bootloader (Legacy v
ii  memtest86+                    4.00-2.1   thorough real-mode memory tester
ii  mtools                        4.0.10-1   Tools for manipulating MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p1-1  Provide limited super user privile
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562664; Package live-helper. (Sat, 26 Dec 2009 19:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 26 Dec 2009 19:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 562664@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 562664@bugs.debian.org
Subject: Same goes for qemu
Date: Sat, 26 Dec 2009 19:48:59 +0000
I had the same problem as above with the qemu packages.

-- 
TH * http://www.realh.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562664; Package live-helper. (Sat, 26 Dec 2009 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 26 Dec 2009 20:42:06 GMT) Full text and rfc822 format available.

Message #15 received at 562664@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Tony Houghton <h@realh.co.uk>
Cc: 562664@bugs.debian.org
Subject: Re: Bug#562664: /usr/share/live-helper/lists/debian-live refers to aufs packages missing from sid and squeeze
Date: Sat, 26 Dec 2009 21:40:56 +0100
severity 562664 minor
tag 562664 pending
thanks

Tony Houghton wrote:
> /usr/share/live-helper/lists/debian-live contains:
> 
> #if DISTRIBUTION lenny squeeze sid
> aufs-tools aufs-source
> #endif
> 
> but these packages don't exist in squeeze or sid.

aufs-tools will be re-uploaded soon, aufs-source is definitely gone (ann 
updated in git).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 26 Dec 2009 20:42:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 26 Dec 2009 20:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562664; Package live-helper. (Sat, 26 Dec 2009 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 26 Dec 2009 20:51:05 GMT) Full text and rfc822 format available.

Message #24 received at 562664@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Tony Houghton <h@realh.co.uk>
Cc: 562664@bugs.debian.org
Subject: Re: Bug#562664: Same goes for qemu
Date: Sat, 26 Dec 2009 21:45:37 +0100
Tony Houghton wrote:
> I had the same problem as above with the qemu packages.

i don't think so.

http://qa.debian.org/madison.php?package=qemu

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562664; Package live-helper. (Sun, 27 Dec 2009 09:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 27 Dec 2009 09:54:08 GMT) Full text and rfc822 format available.

Message #29 received at 562664@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: daniel@debian.org
Subject: Re: Bug#562664: Same goes for qemu
Date: Sat, 26 Dec 2009 21:01:50 +0000
On Sat, 26 Dec 2009 21:45:37 +0100
Daniel Baumann <daniel@debian.org> wrote:

> Tony Houghton wrote:
> > I had the same problem as above with the qemu packages.
> 
> i don't think so.
> 
> http://qa.debian.org/madison.php?package=qemu

I must have had it confused with squashfs-source, but I'm pretty sure I
did have some problem with qemu too until I prevented
/usr/share/live-helper/lists/debian-live from requesting it.

-- 
TH * http://www.realh.co.uk




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 19 Jan 2010 19:51:05 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Tue, 19 Jan 2010 19:51:06 GMT) Full text and rfc822 format available.

Message #34 received at 562664-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 562664-close@bugs.debian.org
Subject: Bug#562664: fixed in live-helper 2.0~a4-1
Date: Tue, 19 Jan 2010 19:48:36 +0000
Source: live-helper
Source-Version: 2.0~a4-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a4-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a4-1.diff.gz
live-helper_2.0~a4-1.dsc
  to main/l/live-helper/live-helper_2.0~a4-1.dsc
live-helper_2.0~a4-1_all.deb
  to main/l/live-helper/live-helper_2.0~a4-1_all.deb
live-helper_2.0~a4.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jan 2010 20:25:35 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 545403 562664
Changes: 
 live-helper (2.0~a4-1) unstable; urgency=low
 .
   * Handling d-i required packages regarding kernel flavours differently
     on ubuntu.
   * Bumping ubuntu default distribution to karmic.
   * Changing local packageslists behaviour for consistency reasons, now
     looking for .list suffix and enabling them automatically (Closes:
     #545403).
   * Replacing lxnm in lxde package list with wicd as suggested by Jun
     Nogata and confirmed by Andrew Lee.
   * Ensure that precached-chroots are prepared as well.
   * Only using wicd instead of lxnm for squeeze and newer.
   * Removing mailx from rescue list.
   * Correcting handling of precached chroot when using plain chroot
     filesystem.
   * Making unmount routines a bit more robust.
   * Marking aufs-source and squashfs-source in debian-live packagelist
     as lenny-only (Closes: #562664).
   * Updating year in copyright file.
   * Renaming directory that holds automatic scripts (e.g. scripts/config
     or scripst/clean) to auto for consistency reasons.
   * Automatically setting-up backports repository when specifying lenny-
     backports as target distribution.
   * Adjusting lh_config manpage to reflect changes wrt/ local packages
     lists.
Checksums-Sha1: 
 35164b236ac34fa6510f1bb93eed1500bfca6134 1232 live-helper_2.0~a4-1.dsc
 d6f0ae194915851e0054774d1eca56abebcf1272 2234641 live-helper_2.0~a4.orig.tar.gz
 5bef28e6dbe4682ffb6245a53a747ba7d7875794 30380 live-helper_2.0~a4-1.diff.gz
 a40f9860ab78acd3abc503a373d259e5d507d45e 1100516 live-helper_2.0~a4-1_all.deb
Checksums-Sha256: 
 9593333e94b41390cfd81312b8670ceab1db3147e26d9364c7b8b2bd521804eb 1232 live-helper_2.0~a4-1.dsc
 3eb1957c0cb5d6cf715ec0cbddda7eff854b0dc737d5417e48a205898e9d4fce 2234641 live-helper_2.0~a4.orig.tar.gz
 386fe2235c23fae22371e2a763d034cf5ffeca212066bd3f80ae03da9e6ce565 30380 live-helper_2.0~a4-1.diff.gz
 ae2c6438d05f855321000f5309c79d572e10cb6e86e1644ca4aa736e0af7c9b8 1100516 live-helper_2.0~a4-1_all.deb
Files: 
 b9ee44bf27c8b79fc3d8c111896f8d13 1232 misc optional live-helper_2.0~a4-1.dsc
 fb5d632eefbec831ab5711d5c26fc6b5 2234641 misc optional live-helper_2.0~a4.orig.tar.gz
 1bc10e2c056bae33c4ab765cdf5c4ccf 30380 misc optional live-helper_2.0~a4-1.diff.gz
 9890d451bf828deb670b493ea362038f 1100516 misc optional live-helper_2.0~a4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktWCmUACgkQ+C5cwEsrK559VwCdFb7p/v7lWnJmB0Zg4ZDNBKmA
9KoAn1s3wct5wAbNNkUuWjc0aVny8jmM
=BLry
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Feb 2010 07:34:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:41:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.